Bug 57876 - /etc/X11/xinit/xinitrc.d/xinput script buglets
/etc/X11/xinit/xinitrc.d/xinput script buglets
Product: Red Hat Linux
Classification: Retired
Component: xinitrc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-12-30 04:35 EST by eric_backus
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-16 10:20:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix the problem (663 bytes, patch)
2001-12-30 04:38 EST, eric_backus
no flags Details | Diff

  None (edit)
Description eric_backus 2001-12-30 04:35:03 EST
Description of Problem:

1. In the script /etc/X11/xinit/xinitrc.d/xinput, there is a shell variable
XIM.  If this variable is unset in the script's environment (which is
normally the case) then it is set to either some CJK language thing, or to
"none" otherwise.  In no case is it left empty.

However, later in the script (line 177), there is a check to see whether
XIM is non-empty, and if so the XMODIFIERS environment variable is
exported.  This means that XMODIFIERS is always exported even though it is
needed only for CJK language stuff, and the value exported is bogus.

2. At the end of /etc/X11/xinit/xinitrc.d/xinput, there is an extraneous
debugging echo statement left in.  This ends up in the user's
.xsession-errors file.  The debugging statement doesn't echo a newline, so
it messes up subsequent errors in ~/.xsession-errors.

A simple patch which fixes both of these is attached separately.

Version-Release number of selected component (if applicable):


How Reproducible:

Always reproducible.

Steps to Reproduce:
1. Log into KDE (probably Gnome as well, I haven't checked)
2. Examine XMODIFIERS environment variable in a shell, it contains a bogus
3. Examine ~/.xsession-errors.  It contains a bogus debugging line.

Actual Results:

Expected Results:

Additional Information:
Comment 1 eric_backus 2001-12-30 04:38:09 EST
Created attachment 41471 [details]
Patch to fix the problem
Comment 2 Jens Petersen 2004-03-15 21:58:53 EST
XIM=none still present in FC.
Comment 3 Mike A. Harris 2004-03-16 10:20:04 EST
Fixed in xinitrc 3.36

Note You need to log in before you can comment on or make changes to this bug.